<?
if(isset($_GET['auth']))
{
include_once 'inc/auth.php';
}
elseif(isset($_GET['regi']))
{
include_once 'inc/reg.php';
}
elseif(isset($_GET['pass']))
{
include_once 'inc/pass.php';
}
elseif(isset($_GET['rules']))
{
include_once 'inc/rules.php';
}
elseif(isset($_GET['autologin']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `autologin` = '".hsc($_GET['autologin'])."'"),0)!=0)
{
$_SESSION['id_user']=mysql_result(mysql_query("SELECT `id` FROM `kolhoz_user` WHERE `autologin` = '".hsc($_GET['autologin'])."'"),0);
header("Location:?myfarm&autologin=".hsc($_GET['autologin']));
exit;
}
else err_game("Неверная ссылка автологина!");
}
if (isset($_SESSION['ref'])) 
{
	mysql_query("UPDATE kolhoz_user SET rubies = rubies + '100' WHERE id = '" . $_SESSION['ref'] . "' LIMIT 1");
	mysql_query("UPDATE kolhoz_user SET rating = rating + '5000' WHERE id = '" . $_SESSION['ref'] . "' LIMIT 1");
	mysql_query("UPDATE kolhoz_user SET money = money + '500000' WHERE id = '" . $_SESSION['ref'] . "' LIMIT 1");
mysql_query("INSERT INTO `referals` SET `id_user` = '".$_SESSION['ref']."', `id_ref` = '".$_SESSION['id_user']."', `time` = '".time()."'");
unset($_SESSION['ref']);
}

echo "<div></div><div></div>";
echo "<div class='content'>";

echo "<div style='text-align:center;'>";
echo "<h1>Онлайн игра - Садовник!</h1>";
echo "</div>";
echo "<div class='framed'>";
if (isset($_SESSION['ref'])) 
{
$usr_ref = mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".$_SESSION['ref']."'"));
$refu = mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `rubies` = '".$_SESSION['ref']."'"));
echo "<div class='block'>";
echo 'Вы по приглашению: '.$usr_ref['nick'].'<br />';
}
echo "<div class='block'>";
echo "<div>";

echo "<img src='images/logo6.jpg' alt='o'>";

echo "</div>";

echo "<div class='small ptm'>";
?>
</div>
<div class="block">
<div class="small ptm">
Добро пожаловать в хитовую онлайн-игру!<br/>
- Грядки, загоны, погреб, пруды, работа, сады.<br/>
- Русская рулетка, чат с сообщениями за рубины.<br/>
- Колхозы, вертолеты, госзаказ.<br/>
- Новые растения, животные, деревья.<br/>
- Регулярные акции, активный форум.<br/>
-Лошадинные бега, приятный и красивый дизайн игры.<br/>
Все это тебя ждет в нашей игре.<br/>
Заходи и создавай свой уютный мир, в игре Садовник!
</div>
</div>
<?
echo "<ul class='pt'>";
echo "<img width='16' height='16' src='images/icons/reg.png' alt='o'> <a href='?regi'>Начать игру</a>";
echo "</ul>";
echo "</div>";
echo "<div class='framed'>";
echo "<div class='block event'>";
echo "Онлайн (<span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `date_last` > '".(time()-600)."'"), 0).")</span>, регистраций
<span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"), 0)."</span></div>";
echo "</div></div></div></div></div></div></div></div></div></div></div></div></div></div></div>";
echo "<div></div><div style='text-align:center;' class='pt small minor'> <a href='?rules'>Правила игры</a><div></div></div></br>";
include_once 'inc/auth.php';
exit;
?>